using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Categories")]
	public partial class Category 
	{
	
		[Id("CategoryID",IsDbGenerated=true)]
		public Int32 CategoryId { get;set; }
 
		[Column("CategoryName")]
		public String CategoryName { get;set; }
		[Column("Description")]
		public String Description { get;set; }
		[Column("Picture")]
		public Byte[] Picture { get;set; }
 
 
		[OneToMany(ThisKey="CategoryId",OtherKey="CategoryId")]
		public IList<Product> Products { get;set; }
 
	}
}
