using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Suppliers")]
	public partial class Supplier 
	{
	
		[Id("SupplierID",IsDbGenerated=true)]
		public Int32 SupplierId { get;set; }
 
		[Column("PostalCode")]
		public String PostalCode { get;set; }
		[Column("City")]
		public String City { get;set; }
		[Column("CompanyName")]
		public String CompanyName { get;set; }
		[Column("Region")]
		public String Region { get;set; }
		[Column("HomePage")]
		public String HomePage { get;set; }
		[Column("Fax")]
		public String Fax { get;set; }
		[Column("Country")]
		public String Country { get;set; }
		[Column("ContactTitle")]
		public String ContactTitle { get;set; }
		[Column("Address")]
		public String Address { get;set; }
		[Column("Phone")]
		public String Phone { get;set; }
		[Column("ContactName")]
		public String ContactName { get;set; }
 
 
		[OneToMany(ThisKey="SupplierId",OtherKey="SupplierId")]
		public IList<Product> Products { get;set; }
 
	}
}
