using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Employees")]
	public partial class Employee 
	{
	
		[Id("EmployeeID",IsDbGenerated=true)]
		public Int32 EmployeeId { get;set; }
 
		[Column("Extension")]
		public String Extension { get;set; }
		[Column("FirstName")]
		public String FirstName { get;set; }
		[Column("Photo")]
		public Byte[] Photo { get;set; }
		[Column("BirthDate")]
		public DateTime? BirthDate { get;set; }
		[Column("HireDate")]
		public DateTime? HireDate { get;set; }
		[Column("Notes")]
		public String Notes { get;set; }
		[Column("HomePhone")]
		public String HomePhone { get;set; }
		[Column("Country")]
		public String Country { get;set; }
		[Column("Title")]
		public String Title { get;set; }
		[Column("LastName")]
		public String LastName { get;set; }
		[Column("Address")]
		public String Address { get;set; }
		[Column("Region")]
		public String Region { get;set; }
		[Column("PostalCode")]
		public String PostalCode { get;set; }
		[Column("TitleOfCourtesy")]
		public String TitleOfCourtesy { get;set; }
		[Column("City")]
		public String City { get;set; }
		[Column("PhotoPath")]
		public String PhotoPath { get;set; }
		[Column("ReportsTo")]
		public Int32? ReportsTo { get;set; }
 
		[ManyToOne(ThisKey="ReportsTo",OtherKey="EmployeeId")]
		public Employee ReportsTo1 { get;set; }
 
		[OneToMany(ThisKey="EmployeeId",OtherKey="ReportsTo")]
		public IList<Employee> Employees { get;set; }
		[OneToMany(ThisKey="EmployeeId",OtherKey="EmployeeId")]
		public IList<EmployeeTerritory> EmployeeTerritories { get;set; }
		[OneToMany(ThisKey="EmployeeId",OtherKey="EmployeeId")]
		public IList<Order> Orders { get;set; }
 
	}
}
