using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Order Details")]
	public partial class OrderDetail 
	{
	
		[Id("OrderID",IsDbGenerated=false)]
		public Int32 OrderId { get;set; }
	
		[Id("ProductID",IsDbGenerated=false)]
		public Int32 ProductId { get;set; }
 
		[Column("Discount")]
		public Single Discount { get;set; }
		[Column("Quantity")]
		public Int16 Quantity { get;set; }
		[Column("UnitPrice")]
		public Decimal UnitPrice { get;set; }
 
		[ManyToOne(ThisKey="OrderId",OtherKey="OrderId")]
		public Order Order { get;set; }
		[ManyToOne(ThisKey="ProductId",OtherKey="ProductId")]
		public Product Product { get;set; }
 
 
	}
}
