using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Region")]
	public partial class Region 
	{
	
		[Id("RegionID",IsDbGenerated=false)]
		public Int32 RegionId { get;set; }
 
		[Column("RegionDescription")]
		public String RegionDescription { get;set; }
 
 
		[OneToMany(ThisKey="RegionId",OtherKey="RegionId")]
		public IList<Territory> Territories { get;set; }
 
	}
}
