using System;
using System.Collections.Generic;
using System.Linq;
using NLite.Data;
namespace NLite.Data.CodeGenerationDemo
{
	[Table("Territories")]
	public partial class Territory 
	{
	
		[Id("TerritoryID",IsDbGenerated=false)]
		public String TerritoryId { get;set; }
 
		[Column("TerritoryDescription")]
		public String TerritoryDescription { get;set; }
		[Column("RegionID")]
		public Int32 RegionId { get;set; }
 
		[ManyToOne(ThisKey="RegionId",OtherKey="RegionId")]
		public Region Region { get;set; }
 
		[OneToMany(ThisKey="TerritoryId",OtherKey="TerritoryId")]
		public IList<EmployeeTerritory> EmployeeTerritories { get;set; }
 
	}
}
